« RSSの細分化と読者の獲得 | メイン | 在宅勤務のお供「BROOK'Sコーヒー」 »

2008年11月17日

さくら=MySQL4.0系=サブクエリーが使えない

ちょっとした実験サーバーとして、さくらのレンタルサーバを使用しているのだが、提供されているMySQLサーバで、少しはまってしまった。

何度試してみても、サブクエリーを使ったSQLクエリーが文法エラーとなってしまうのだが、結局はMySQLのバージョンの問題。ゆとりエンジニアでサーセン。

MySQLサーバ:mysql35.db.sakura.ne.jp
バージョン:4.0.27

下記の項目がごっそりと使えない。

MySQL : 6.4.2. サブクエリ構文

オープンソースのCMSやSNSのソースコードで"ダッサイ実装"を見つけても、結局はサポートするDBの種類やバージョンを考えると、それが最適解であった、ということも多々ありますな。